Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7224 - Network printing does not work after uppgrading to lpr-0.46-1. Printing from root account over net works.
Summary: Network printing does not work after uppgrading to lpr-0.46-1. Printing from ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 13:54 UTC by ola
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 12:27:38 UTC


Attachments (Terms of Use)

Description ola 1999-11-22 13:54:19 UTC
lpd printing between two Redhat 6.1 boxes with lpr-0.46-1 works only
for root user.
No ordinary user can print from the client.
Printing from root account on client works perfectly.
Printing from  user account on server also works perfectly.

The symptom is that the print job is accepted with no error messages
on the server, but no data is sent to printer.
Logging with lpd -l shows job being accepted on server.
Using strace shows the data file being accepted, spooled and then
unlinked, with no data sent to /dev/lp0.

We use NIS passwords.

Comment 1 Bernhard Rosenkraenzer 1999-11-22 17:21:59 UTC
Working on it... In the meantime, please check if the 0.47 package from rawhide
fixes this.

Comment 2 ola 1999-11-22 18:36:59 UTC
No, 0.47-1 doesn't work either.

Comment 3 Need Real Name 2000-01-11 15:02:59 UTC
client + server RH61/lpr0.48, all packages updated, /etc/conf.modules modified.

- When printing from the client: "warning: no daemon present" (user AND root)
- lpq -P HP-laser says the file is in the queue, but no daemon present.
- "ps -aux | grep lpd" (on server) says that the daemon is running.
- "telnet server 515" says: lpd: HP-laser: Malformed from address.
- When printing directly from server (where the printers are physically
connected to) everything works perfectly. When this local job is finished, the
client's job that was still in the queue follows and is printed as well.

Richard.

Comment 4 Need Real Name 2000-01-17 14:57:59 UTC
additional information (may be important):

RH61 + lpr-0.48:

I have 3 printerports on the server.

"/etc/rc.d/init.d/lpd restart" doesn't work, I have to enter
"/etc/rc.d/init.d/lpd stop" followed by "/etc/rc.d/init.d/lpd start", which
normally should be the same thing imho.

I recompiled the RH52 lpr-0.33.src.rpm and that one seems to work fine on RH61.

Richard

Comment 5 Bernhard Rosenkraenzer 2000-01-27 12:27:59 UTC
0.50-2 should fix this


Note You need to log in before you can comment on or make changes to this bug.